/*****************************************************************************
MODULE NAME: stdjeff.h

PROGRAMMER: Jeff Nielsen

DESCRIPTION: Contains common #defines used in many of my programs
*****************************************************************************/

#ifndef _STDJEFF_H
#define _STDJEFF_H

#define TRUE 1
#define FALSE 0
#define UNDEF -1
#define INFINITY 30000

#ifdef __BORLANDC__
typedef int bool;

#else
#ifdef DEC
extern "C" { // DEC's stdlib does not have these prototypes
void srandom(int);
int random(void);
};
#endif	    // #ifdef DEC
// Put in random() & randomize() for UNIX compilation
#define random(num)   (int)(((long)rand()*(num))/(RAND_MAX+1))
#define randomize()   srand((unsigned)time(NULL))

#endif      // #ifdef __BORLANDC__

#endif      // #ifndef _STDJEFF_H
